Bug 521894 - X fails to start on iMac G5 17"
Summary: X fails to start on iMac G5 17"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: rawhide
Hardware: powerpc
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 16:01 UTC by Josh Boyer
Modified: 2018-04-11 09:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-05 17:33:17 UTC


Attachments (Terms of Use)
Xorg.0.log (9.24 KB, text/plain)
2009-09-08 16:01 UTC, Josh Boyer
no flags Details
Xorg.0.log with 2.6.31-0.212.rc9.git1.fc12 (27.09 KB, text/plain)
2009-09-09 01:07 UTC, Josh Boyer
no flags Details
DISPLAY=:0.0 import -window root root.png from SSH session (497.05 KB, image/png)
2009-09-09 01:19 UTC, Josh Boyer
no flags Details

Description Josh Boyer 2009-09-08 16:01:11 UTC
Description of problem:

X fails to start on my iMac G5 17" with nvidia graphics.  The dracut module uses the text based plymouth plugin on boot, and a manual startx produces what appears to be a failure to open drm?

Version-Release number of selected component (if applicable):

xorg-x11-server-common-1.6.99.900-1.fc12.ppc
xorg-x11-drv-nouveau-0.0.15-7.20090904git2b5ec6a.fc12.ppc

Linux lando 2.6.31-0.204.rc9.fc12.ppc64 #1 SMP Sat Sep 5 20:49:59 EDT 2009 ppc64 ppc64 ppc64 GNU/Linux

How reproducible:

Always

Steps to Reproduce:
1.  Install rawhide.
2.  Boot
3.  Stare at black screen in the hopes that concentrated thought-powers will make the GDM screen appear.
  
Actual results:

FAIL

Expected results:

To be honest, I expected fail given the combo of ppc and nvidia.  It would be pleasant if I could actually use this machine with a graphical environment though.

Additional info:

I haven't tried nv yet.  I figured we'd want to at least try and get nouveau working.

Comment 1 Josh Boyer 2009-09-08 16:01:43 UTC
Created attachment 360093 [details]
Xorg.0.log

Comment 2 Josh Boyer 2009-09-08 19:46:51 UTC
More info.  Dmesg shows nothing related except the drm initialization message.  The nouveau, drm, and ttm modules are all loaded.  The device node for /dev/dri/card0 doesn't actually exist at all (so X complaining seems proper there).

Comment 3 Josh Boyer 2009-09-08 20:32:12 UTC
It seems that nvidiafb is built into the kernel and is binding first.  When booting with video=nvidiafb:off, the box hangs completely.  It does not respond to CTRL-ALT-{F1,F2,F3,etc} and CTRL-ALT-DEL does not work.  I have to manually power off the box

Comment 4 Josh Boyer 2009-09-08 20:43:06 UTC
Booting with video=nvidiafb:off nomodeset produces similar results, only now with HIGH RPM FANS!  It's like FAIL++

Comment 5 Josh Boyer 2009-09-09 00:38:20 UTC
Booting with video=nvidiafb:off seems to try and start X, and then hang after opening the drm device.  Will attach the Xorg.0.log from that shortly.  This oops is produced in that scenario:

Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Detected an NV30 generation card (0x034900b1)
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: OF bios successfully copied (3294 bytes)
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Attempting to load BIOS image from PROM
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: ... BIOS signature not found
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Attempting to load BIOS image from PRAMIN
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: ... BIOS checksum invalid
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Attempting to load BIOS image from PCI ROM
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: ... BIOS signature not found
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Using BIOS image from PRAMIN
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: BMP BIOS found
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: BMP version 5.38
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Bios version 04.34.20.18
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Found Display Configuration Block version 2.2
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Raw DCB entry 0: 01000122 00000004
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Raw DCB entry 1: 02010200 11b088b8
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Raw DCB entry 2: 02010201 11b00703
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Loading NV17 power sequencing microcode
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Parsing VBIOS init table 0 at offset 0x0305
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Parsing VBIOS init table 1 at offset 0x0599
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Parsing VBIOS init table 2 at offset 0x06DF
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Parsing VBIOS init table 3 at offset 0x087F
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Parsing VBIOS init table 4 at offset 0x089C
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Parsing VBIOS init table 5 at offset 0x08B9
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Parsing VBIOS init table 6 at offset 0x0A52
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: No pointer to output script table
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: No pointer to output script table
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: No pointer to output script table
Sep  8 16:28:07 lando kernel: [TTM] Zone  kernel: Available graphics memory: 238714 kiB.
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Allocating FIFO number 0
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: nouveau_channel_alloc: initialised FIFO 0
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Initial CRTC_OWNER is 0
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Detected a DVI-D connector
Sep  8 16:28:07 lando kernel: nouveau 0000:f0:10.0: Detected a DVI-I connector
Sep  8 16:28:07 lando kernel: allocated 1440x900 fb: 0x49000, bo c000000019e14d10
Sep  8 16:28:07 lando kernel: fb1: nouveaufb frame buffer device
Sep  8 16:28:07 lando kernel: registered panic notifier
Sep  8 16:28:07 lando kernel: [drm] Initialized nouveau 0.0.15 20090420 for 0000:f0:10.0 on minor 0

<snip irrelevant boot stuff>

Sep  8 16:28:26 lando kernel: nouveau 0000:f0:10.0: Allocating FIFO number 1
Sep  8 16:28:26 lando kernel: nouveau 0000:f0:10.0: nouveau_channel_alloc: initialised FIFO 1
Sep  8 16:28:27 lando kernel: Unable to handle kernel paging request for data at address 0x00000000
Sep  8 16:28:27 lando kernel: Faulting instruction address: 0xc00000000004a030
Sep  8 16:28:27 lando kernel: Oops: Kernel access of bad area, sig: 11 [#1]
Sep  8 16:28:27 lando kernel: SMP NR_CPUS=128 NUMA PowerMac
Sep  8 16:28:27 lando kernel: Modules linked in: sunrpc nf_conntrack_ipv6 ip6t_REJECT ip6table_filter ip6_tables ipv6 dm_multipath uinput arc4 ecb snd_aoa_codec_onyx snd_aoa_fabric_layout snd_aoa snd_aoa_i2sbus snd_aoa_soundbus b43 snd_pcm mac80211 snd_page_alloc snd_timer firewire_ohci cfg80211 snd pmac_zilog soundcore ide_cd_mod firewire_core rfkill crc_itu_t shpchp ata_generic sata_svw sungem sungem_phy ssb nouveau ttm drm [last unloaded: scsi_wait_scan]
Sep  8 16:28:27 lando kernel: NIP: c00000000004a030 LR: d0000000008e32cc CTR: c00000000004a000
Sep  8 16:28:27 lando kernel: REGS: c000000019cd3430 TRAP: 0300   Not tainted  (2.6.31-0.204.rc9.fc12.ppc64)
Sep  8 16:28:27 lando kernel: MSR: 9000000000009032 <EE,ME,IR,DR>  CR: 24004480  XER: 00000000
Sep  8 16:28:27 lando kernel: DAR: 0000000000000000, DSISR: 0000000040000000
Sep  8 16:28:27 lando kernel: TASK = c00000001b1b27f0[1221] 'Xorg' THREAD: c000000019cd0000 CPU: 0
Sep  8 16:28:27 lando kernel: GPR00: 0000000000000000 c000000019cd36b0 c000000001286d08 c000000019e6f978 
Sep  8 16:28:27 lando kernel: GPR04: 0000000000000000 00000000000000e0 0000000000000000 000000000000000e 
Sep  8 16:28:27 lando kernel: GPR08: 0000000000000000 c000000019e15e30 c000000019e15bd0 c00000000004a000 
Sep  8 16:28:27 lando kernel: GPR12: d0000000008f0cd8 c0000000012e0580 00000000102103a4 000000001062eed8 
Sep  8 16:28:27 lando kernel: GPR16: 00000000f7d22008 0000000000000000 0000000000000000 0000000000000000 
Sep  8 16:28:27 lando kernel: GPR20: 0000000000000000 0000000000000000 0000000000000000 c000000019e6f918 
Sep  8 16:28:27 lando kernel: GPR24: d0000000008f5120 c00000001cbaa000 c000000019e03a10 c000000019e6f918 
Sep  8 16:28:27 lando kernel: GPR28: c00000001cbaa000 c000000019e15e30 d00000000072ce88 c000000019cd36b0 
Sep  8 16:28:27 lando kernel: NIP [c00000000004a030] .memcpy+0x30/0x278
Sep  8 16:28:27 lando kernel: LR [d0000000008e32cc] .nv04_dfp_mode_fixup+0x5c/0xa4 [nouveau]
Sep  8 16:28:27 lando kernel: Call Trace:
Sep  8 16:28:27 lando kernel: [c000000019cd36b0] [d0000000008e32a8] .nv04_dfp_mode_fixup+0x38/0xa4 [nouveau] (unreliable)
Sep  8 16:28:27 lando kernel: [c000000019cd3750] [d0000000006fe43c] .drm_crtc_helper_set_mode+0x128/0x4b4 [drm]
Sep  8 16:28:27 lando kernel: [c000000019cd3930] [d0000000006fed80] .drm_crtc_helper_set_config+0x4e0/0x6e4 [drm]
Sep  8 16:28:27 lando kernel: [c000000019cd3a40] [d0000000006fca60] .drm_mode_setcrtc+0x350/0x3bc [drm]
Sep  8 16:28:27 lando kernel: [c000000019cd3b50] [d0000000006ebe9c] .drm_ioctl+0x258/0x32c [drm]
Sep  8 16:28:27 lando kernel: [c000000019cd3ca0] [d0000000008ef06c] .nouveau_compat_ioctl+0x78/0xac [nouveau]
Sep  8 16:28:27 lando kernel: [c000000019cd3d40] [c00000000022d2b8] .compat_sys_ioctl+0x184/0x4c4
Sep  8 16:28:27 lando kernel: [c000000019cd3e30] [c0000000000085f0] syscall_exit+0x0/0x40
Sep  8 16:28:27 lando kernel: Instruction dump:
Sep  8 16:28:27 lando kernel: f8610030 7ca01120 28a50010 7cc300d0 70c60007 7c00222c 41840208 408201b8 
Sep  8 16:28:27 lando kernel: 3863fff0 70800007 40820088 78a7e102 <e9240000> 3884fff8 7ce903a6 70a50007 
Sep  8 16:28:27 lando kernel: ---[ end trace 2bd0816b16bdbb1e ]---
Sep  8 16:28:27 lando kernel: nouveau 0000:f0:10.0: nouveau_channel_free: freeing fifo 1

Comment 6 Josh Boyer 2009-09-09 00:40:40 UTC
Booting with video=nvidiafb:off nomodeset gets this oops:

Sep  8 16:36:42 lando kernel: Unable to handle kernel paging request for data at address 0x00000000
Sep  8 16:36:42 lando kernel: Faulting instruction address: 0xd0000000006eca60
Sep  8 16:36:42 lando kernel: Oops: Kernel access of bad area, sig: 11 [#1]
Sep  8 16:36:42 lando kernel: SMP NR_CPUS=128 NUMA PowerMac
Sep  8 16:36:42 lando kernel: Modules linked in: sunrpc nf_conntrack_ipv6 ip6t_REJECT ip6table_filter ip6_tables ipv6 dm_multipath uinput snd_aoa_codec_onyx arc4 snd_aoa_fabric_layout ecb snd_aoa snd_aoa_i2sbus snd_aoa_soundbus b43 snd_pcm snd_page_alloc snd_timer mac80211 ide_cd_mod firewire_ohci pmac_zilog snd cfg80211 soundcore firewire_core crc_itu_t rfkill shpchp ata_generic sata_svw ssb sungem sungem_phy nouveau ttm drm [last unloaded: scsi_wait_scan]
Sep  8 16:36:42 lando kernel: NIP: d0000000006eca60 LR: d0000000006eca54 CTR: 0000000000000000
Sep  8 16:36:42 lando kernel: REGS: c00000001c98b860 TRAP: 0300   Not tainted  (2.6.31-0.204.rc9.fc12.ppc64)
Sep  8 16:36:42 lando kernel: MSR: 9000000000009032 <EE,ME,IR,DR>  CR: 24000420  XER: 00000000
Sep  8 16:36:42 lando kernel: DAR: 0000000000000000, DSISR: 0000000040000000
Sep  8 16:36:42 lando kernel: TASK = c000000019e28000[1280] 'Xorg' THREAD: c00000001c988000 CPU: 0
Sep  8 16:36:42 lando kernel: GPR00: d0000000006eca54 c00000001c98bae0 d00000000072e9e0 c00000001c98ba38 
Sep  8 16:36:42 lando kernel: GPR04: ffffffffffffffc0 0000000000000000 c00000001c98ba58 0000000000000000 
Sep  8 16:36:42 lando kernel: GPR08: 0cb0000000000000 c00000000130eb20 c000000019de9118 0000000000000000 
Sep  8 16:36:42 lando kernel: GPR12: d0000000007075b0 c0000000012e0580 000000001021035c 0000000010210360 
Sep  8 16:36:42 lando kernel: GPR16: 0000000000000000 000000001094f558 0000000000000001 000000001021063c 
Sep  8 16:36:42 lando kernel: GPR20: 0000000010210510 0000000000000000 000000001020c0bc c00000001d139e18 
Sep  8 16:36:42 lando kernel: GPR24: c0000000180b9fe0 c000000019de95e0 c00000001cfae248 c000000019de90a8 
Sep  8 16:36:42 lando kernel: GPR28: c00000001cfae248 c000000019de9048 d00000000072c538 c00000001c98bae0 
Sep  8 16:36:42 lando kernel: NIP [d0000000006eca60] .drm_release+0x328/0x714 [drm]
Sep  8 16:36:42 lando kernel: LR [d0000000006eca54] .drm_release+0x31c/0x714 [drm]
Sep  8 16:36:42 lando kernel: Call Trace:
Sep  8 16:36:42 lando kernel: [c00000001c98bae0] [d0000000006eca54] .drm_release+0x31c/0x714 [drm] (unreliable)
Sep  8 16:36:42 lando kernel: [c00000001c98bba0] [c0000000001d3ed0] .__fput+0x1ac/0x2d4
Sep  8 16:36:42 lando kernel: [c00000001c98bc60] [c0000000001d4044] .fput+0x4c/0x60
Sep  8 16:36:42 lando kernel: [c00000001c98bcf0] [c0000000001cf318] .filp_close+0xc8/0xf4
Sep  8 16:36:42 lando kernel: [c00000001c98bd90] [c0000000001cf420] .SyS_close+0xdc/0x138
Sep  8 16:36:42 lando kernel: [c00000001c98be30] [c0000000000085f0] syscall_exit+0x0/0x40
Sep  8 16:36:42 lando kernel: Instruction dump:
Sep  8 16:36:42 lando kernel: 7c0903a6 e8490008 4e800421 e8410028 7fb9eb78 3b7d0060 38800000 7f63db78 
Sep  8 16:36:42 lando kernel: 4801ab61 e8410028 e8990599 3884ffc0 <eb440040> 3b5affc0 4800002c e8040018 
Sep  8 16:36:42 lando kernel: ---[ end trace 18535ff05888d4bb ]---

Comment 7 Josh Boyer 2009-09-09 00:42:27 UTC
Booting with no command line options at all (so using nvidiafb) seems to cause the X server to start and crash via GDM until we get this:

Sep  8 20:17:38 lando gdm-binary[1803]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors

Comment 8 Josh Boyer 2009-09-09 01:07:30 UTC
Created attachment 360151 [details]
Xorg.0.log with 2.6.31-0.212.rc9.git1.fc12

Comment 9 Josh Boyer 2009-09-09 01:08:37 UTC
Last bit of dmesg from boot:

Sep  8 20:59:35 lando gdm-simple-slave[1225]: DEBUG(+): GdmSimpleSlave: Started X server
Sep  8 20:59:36 lando kernel: nouveau 0000:f0:10.0: Allocating FIFO number 1
Sep  8 20:59:36 lando kernel: nouveau 0000:f0:10.0: nouveau_channel_alloc: initialised FIFO 1
Sep  8 20:59:36 lando kernel: [drm:drm_crtc_helper_set_config] *ERROR* failed to set mode on crtc c000000019efb0d8

Comment 10 Josh Boyer 2009-09-09 01:19:00 UTC
Created attachment 360153 [details]
DISPLAY=:0.0 import -window root root.png from SSH session

This is definitely not what i see on the monitor.

Comment 11 Josh Boyer 2009-10-07 18:06:13 UTC
I updated to today's rawhide and I still see the same oddly shaped three rainbow lines with a giant corner of the mouse cursor.  So still not fixed.

Would be happy to gather more data if needed.

Comment 12 Matěj Cepl 2009-11-05 17:14:58 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 13 Josh Boyer 2009-11-05 17:33:17 UTC
Updated to yesterday's rawhide and things seem to be working now.  GDM login comes up and works, and the desktop displays properly.  I'll open a new bug if something breaks.

Thanks for the great work!


Note You need to log in before you can comment on or make changes to this bug.